Play a stream over WebRTC using WHEP.
POST
/xrpc/place.stream.playback.whep
const url = 'https://example.com/xrpc/place.stream.playback.whep?streamer=example&rendition=example';const options = {method: 'POST', headers: {'Content-Type': '*/*'}, body: 'example'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/xrpc/place.stream.playback.whep?streamer=example&rendition=example' \ --header 'Content-Type: */*' \ --data exampleParameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”streamer
required
The DID of the streamer to play.
string
The DID of the streamer to play.
rendition
required
The rendition of the stream to play.
string
The rendition of the stream to play.
Request Bodyrequired
Section titled “Request Bodyrequired”Media type*/*
Responses
Section titled “Responses”Success
Media type*/*
Bad Request
Media typeapplication/json
object
error
required
One of:
string
message
required
string
Example
{ "error": "Unauthorized"}